﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private Panel1 As Panel
	Private LBotones As CustomListView
	Private pMenuB As Panel
	Private pR1 As Panel
	Private btnMenuB1 As Button
	Private pR2 As Panel
	Private btnMenuB2 As Button
	Private pR3 As Panel
	Private btnMenuB3 As Button
	Private txt1 As EditText
	Private txt2 As EditText
	Private txt3 As EditText
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	Dim text As Int = 1 ' el Texto que aparece en cada cuadro
	For x = 1 To 4   ' creará una matriz de 3 x 4
		If x > 1 Then
			text = text + 3  ' va aumentando de 3 en 3 según pasa a la siguiente fila
		End If
		LBotones.Add(CreateItemC(LBotones.AsView.Width, text, text+1, text+2), text)  ' se crea el menu
		FormatButtons(pR1)		' le da formato a los botones para que sean transparentes y tenga diferente color al presionar
		FormatButtons(pR2)		' le da formato a los botones para que sean transparentes y tenga diferente color al presionar
		FormatButtons(pR3)		' le da formato a los botones para que sean transparentes y tenga diferente color al presionar
	Next
End Sub

Sub FormatButtons(P As Panel)
	Dim Focused, NotFocused  As ColorDrawable
	Focused.Initialize(Colors.ARGB(30,249, 249, 249), 10dip)
	NotFocused.Initialize(Colors.ARGB(30,255, 0, 0),3dip)
	For Each v As View In P
		If GetType(v).ToLowerCase = "android.widget.button" Then
			Dim sld As StateListDrawable
			sld.Initialize
			sld.AddState(sld.State_Pressed, Focused)
			sld.AddState(sld.State_Enabled, NotFocused)
			v.Background = sld
		End If
	Next
End Sub


Private Sub CreateItemC(Width As Int, Title1 As String, Title2 As String, Title3 As String) As Panel
	Dim p As B4XView = xui.CreatePanel("")
	Dim height As Int = LBotones.AsView.Height/4 ' Lista de insumos
	If GetDeviceLayoutValues.ApproximateScreenSize < 3.5 Then height = 100dip
	p.SetLayoutAnimated(0, 0, 0, Width, height)
	p.LoadLayout("MenuBotones")
	p.Color = Colors.ARGB(15,137,204,245)
	
	txt1.Text = Title1
	txt2.Text = Title2
	txt3.Text = Title3
	
	Return p
End Sub



Private Sub btnMenuB1_Click
	'cuando presiona un botón verifica de qué linea es con sender y lo guarda en index, cada línea es un index diferente
	Dim index As Int = LBotones.GetItemFromView(Sender)
	
	' si te fijas en diseño se entiende que agarra el panel(segun el numero de linea index) 
	' y luego el getview es como una pirámide que empieza en 0
	' el primer getview seria pMenuB
	' el segundo getview sería pR1 = 0, pR2 = 1, pR3 = 2 
	' el tercer getview sería el txt (0) o el btn (0)
	
	'ejemplo si presionamos el boton 1 seria getpanel(0).getview(0).getview(0).getview (0 para el txt y 1 para el boton)
	' si presionamos el boton 2 seria getpanel(0).getview(0).getview(1).getview (0 para el txt y 1 para el boton)
	
	' value tendrá el valor del edittext.
	Dim Value As String = LBotones.GetPanel(index).GetView(0).GetView(0).GetView(0).Text
	
	'aquí cambia el color de los botones con argb para que sea transparente
	LBotones.GetPanel(index).GetView(0).GetView(0).GetView(1).Color = Colors.ARGB(30,249, 249, 249)
	LBotones.GetPanel(index).GetView(0).GetView(1).GetView(1).Color = Colors.ARGB(30,255, 0, 0)
	LBotones.GetPanel(index).GetView(0).GetView(2).GetView(1).Color = Colors.ARGB(30,255, 0, 0)
	Log (Value)
	ToastMessageShow(Value, False)
End Sub

Private Sub btnMenuB2_Click
	Dim index As Int = LBotones.GetItemFromView(Sender)
	Dim Value As String = LBotones.GetPanel(index).GetView(0).GetView(1).GetView(0).Text
	LBotones.GetPanel(index).GetView(0).GetView(0).GetView(1).Color = Colors.ARGB(30,255, 0, 0)
	LBotones.GetPanel(index).GetView(0).GetView(1).GetView(1).Color = Colors.ARGB(30,249, 249, 249)
	LBotones.GetPanel(index).GetView(0).GetView(2).GetView(1).Color = Colors.ARGB(30,255, 0, 0)
	Log (Value)
	ToastMessageShow(Value, False)
End Sub

Private Sub btnMenuB3_Click
	Dim index As Int = LBotones.GetItemFromView(Sender)
	Dim Value As String = LBotones.GetPanel(index).GetView(0).GetView(2).GetView(0).Text
	LBotones.GetPanel(index).GetView(0).GetView(0).GetView(1).Color = Colors.ARGB(30,255, 0, 0)
	LBotones.GetPanel(index).GetView(0).GetView(1).GetView(1).Color = Colors.ARGB(30,255, 0, 0)
	LBotones.GetPanel(index).GetView(0).GetView(2).GetView(1).Color = Colors.ARGB(30,249, 249, 249)
	Log (Value)
	ToastMessageShow(Value, False)
End Sub